function [bin_prob] = f_DR(X,params,bin_edges)
    
    bin_prob = zeros(1,length(bin_edges)-1);
    for i = 1:length(bin_edges)-1
        bin_prob(i) = f_LSBP_density_C_prob(bin_edges(i+1),X,X,params) - ...
                      f_LSBP_density_C_prob(bin_edges(i),X,X,params);
    end

end